# $Revision: 1.20 $, $Date: 2004/12/25 13:51:56 $
%define		module gd
Summary:	Python interface to GD library
Summary(pl):	Interfejs do biblioteki GD dla Pythona
Name:		python-%{module}
Version:	0.53
Release:	3
Epoch:		1
License:	BSD-like
Group:		Development/Languages/Python
Source0:	http://newcenturycomputers.net/projects/download.cgi/gdmodule-%{version}.tar.gz
# Source0-md5:	4a6c69697e1ff9825b23624cdab8dbdc
Patch0:		%{name}-lib64.patch
URL:		http://newcenturycomputers.net/projects/gdmodule.html
BuildRequires:	gd-devel >= 2.0.8
BuildRequires:	python-devel >= 1.5
BuildRequires:	python-modules >= 1.5
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD module is an interface to the GD library written by Thomas
Bouttel.

It allows your code to quickly draw images complete with lines,
arcs, text, multiple colors, cut and paste from other images,
and flood fills, and write out the result as a PNG or JPEG file.
This is particularly useful in World Wide Web applications,
where PNG and JPEG are two of the formats accepted for inline
images by most browsers.

It has been extended in some ways from the original GD library.

%description -l pl
Modu GD jest interfejsem do biblioteki GD autorstwa Thomasa
Bouttela.

Modu pozwala na szybkie rysowanie obrazw skadajcych si z
linii, ukw, tekstu, rnych kolorw, fragmentw innych obrazkw,
czy wypenie. Wyprodukowany obrazek jest zapisywany do pliku PNG
lub JPEG. Jest to szczeglnie przydatne w aplikacjach WWW, gdzie
PNG i JPEG s dwoma formatami obrazw skadowych akceptowanymi
przez wikszo przegldarek.

Modu zosta rwnie rozszerzony w kilku miejscach w stosunku do
oryginalnej biblioteki GD.

%prep
%setup -q -n gdmodule-%{version}
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif

%build
CFLAGS="%{rpmcflags}" \
python Setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python Setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README gd-ref.html
%{py_sitedir}/gd.py[co]
%attr(755,root,root) %{py_sitedir}/_gd.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-gd.spec,v $
Revision 1.20  2004/12/25 13:51:56  saq
- introducing lib64.patch
- release 3

Revision 1.19  2004/12/25 13:28:35  saq
- release 2 for rebuild with python 2.4

Revision 1.18  2004/11/14 11:31:13  troll
- updated to 0.53

Revision 1.17  2004/03/28 17:47:26  wrobell
- R: python-modules should be enough

Revision 1.16  2004/03/27 20:52:26  qboosh
- call just python, glob fix

Revision 1.15  2004/03/27 17:07:18  wrobell
- fixed .so attrs

Revision 1.14  2004/03/26 22:59:05  troll
- updated to 0.52
- added md5 sum
- more dependencies
- pl fixes
- unifications

Revision 1.13  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/12/02 11:06:25  ankry
- massive cleaning

Revision 1.11  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.10  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/02 11:24:57  qboosh
- added URLs (note: current version is 0.25)

Revision 1.7  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/13 20:17:07  kloczek
- spec adapterized.

Revision 1.5  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.2  1999/07/23 11:14:31  wrobell
- added %{pp_subname} macro

Revision 1.1  1999/07/22 20:13:10  wrobell
- no version number in spec file names
- packages should build now

Revision 1.6  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
